clear
set more off
capture log close

*May 14, 2017
*Gregory Bruich - gbruich@fas.harvard.edu
*This .do file uses qlr.ado and qlr_example.dta
*qlr.ado should be saved into the current working directory

*Load in data (original data from FRED)
use qlr_example

*ADL(4,3) model forecasting employment growth with its own lags and 
*the BAA-Tbond spread
reg dlemp L(1/4).dlemp L(1/3).baa_r10 if tin(1962m1,2017m3), r

*QLR test, generating and saving graph of F statistics
qlr dlemp L(1/4).dlemp L(1/3).baa_r10 if tin(1962m1,2017m3), graph
graph export adl43_qlr.pdf, replace

